Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -5823,28 +5392,24 @@
 !--       Define vertical coordinate grid (zu grid)
           CALL netcdf_create_dim( id_set_sp, 'zu_sp', ns, id_dim_zu_sp, 273 )
-          CALL netcdf_create_var( id_set_sp, (/ id_dim_zu_sp /), 'zu_sp',      &
-                                  NF90_DOUBLE, id_var_zu_sp, 'meters', '',     &
-                                  274, 275, 000 )
+          CALL netcdf_create_var( id_set_sp, (/ id_dim_zu_sp /), 'zu_sp', NF90_DOUBLE,             &
+                                  id_var_zu_sp, 'meters', '', 274, 275, 000 )
           CALL netcdf_create_att( id_set_sp, id_var_zu_sp, 'axis', 'Z', 000)
 !
 !--       Define vertical coordinate grid (zw grid)
           CALL netcdf_create_dim( id_set_sp, 'zw_sp', ns, id_dim_zw_sp, 276 )
-          CALL netcdf_create_var( id_set_sp, (/ id_dim_zw_sp /), 'zw_sp',      &
-                                  NF90_DOUBLE, id_var_zw_sp, 'meters', '',     &
-                                  277, 278, 000 )
+          CALL netcdf_create_var( id_set_sp, (/ id_dim_zw_sp /), 'zw_sp', NF90_DOUBLE,             &
+                                  id_var_zw_sp, 'meters', '', 277, 278, 000 )
           CALL netcdf_create_att( id_set_sp, id_var_zw_sp, 'axis', 'Z', 000)
 !
 !--       Define x-axis
           CALL netcdf_create_dim( id_set_sp, 'k_x', nx/2, id_dim_x_sp, 279 )
-          CALL netcdf_create_var( id_set_sp, (/ id_dim_x_sp /), 'k_x',         &
-                                  NF90_DOUBLE, id_var_x_sp, 'm-1', '', 280,    &
-                                  281, 000 )
+          CALL netcdf_create_var( id_set_sp, (/ id_dim_x_sp /), 'k_x', NF90_DOUBLE,                &
+                                  id_var_x_sp, 'm-1', '', 280, 281, 000 )
           CALL netcdf_create_att( id_set_sp, id_var_x_sp, 'axis', 'X', 000)
 !
 !--       Define y-axis
           CALL netcdf_create_dim( id_set_sp, 'k_y', ny/2, id_dim_y_sp, 282 )
-          CALL netcdf_create_var( id_set_sp, (/ id_dim_y_sp /), 'k_y',         &
-                                  NF90_DOUBLE, id_var_y_sp, 'm-1', '', 283,    &
-                                  284, 000 )
+          CALL netcdf_create_var( id_set_sp, (/ id_dim_y_sp /), 'k_y', NF90_DOUBLE,                &
+                                  id_var_y_sp, 'm-1', '', 283, 284, 000 )
           CALL netcdf_create_att( id_set_sp, id_var_y_sp, 'axis', 'Y', 000)
 !
@@ -5873,9 +5438,8 @@
                 CASE DEFAULT
 !
-!--                Check for user-defined quantities (found, grid_x and grid_y
-!--                are dummies)
+!--                Check for user-defined quantities (found, grid_x and grid_y are dummies).
                    IF ( user_module_enabled )  THEN
-                      CALL user_define_netcdf_grid( data_output_sp(i), found,  &
-                                                    grid_x, grid_y, grid_z )
+                      CALL user_define_netcdf_grid( data_output_sp(i), found, grid_x, grid_y,      &
+                                                    grid_z )
                    ENDIF
 
@@ -5888,15 +5452,13 @@
                 netcdf_var_name = TRIM( data_output_sp(i) ) // '_x'
                 IF ( TRIM( grid_z ) == 'zw' )  THEN
-                   CALL netcdf_create_var( id_set_sp, (/ id_dim_x_sp,          &
-                                           id_dim_zw_sp, id_dim_time_sp /),    &
-                                           netcdf_var_name, nc_precision(7),   &
-                                           id_var_dospx(i), 'unknown',         &
-                                           netcdf_var_name, 285, 286, 287 )
+                   CALL netcdf_create_var( id_set_sp, (/ id_dim_x_sp, id_dim_zw_sp,                &
+                                           id_dim_time_sp /), netcdf_var_name, nc_precision(7),    &
+                                           id_var_dospx(i), 'unknown', netcdf_var_name, 285, 286,  &
+                                           287 )
                 ELSE
-                   CALL netcdf_create_var( id_set_sp, (/ id_dim_x_sp,          &
-                                           id_dim_zu_sp, id_dim_time_sp /),    &
-                                           netcdf_var_name, nc_precision(7),   &
-                                           id_var_dospx(i), 'unknown',         &
-                                           netcdf_var_name, 285, 286, 287 )
+                   CALL netcdf_create_var( id_set_sp, (/ id_dim_x_sp, id_dim_zu_sp,                &
+                                           id_dim_time_sp /), netcdf_var_name, nc_precision(7),    &
+                                           id_var_dospx(i), 'unknown', netcdf_var_name, 285, 286,  &
+                                           287 )
                 ENDIF
 
@@ -5911,15 +5473,13 @@
                 netcdf_var_name = TRIM( data_output_sp(i) ) // '_y'
                 IF ( TRIM( grid_z ) == 'zw' )  THEN
-                   CALL netcdf_create_var( id_set_sp, (/ id_dim_y_sp,          &
-                                           id_dim_zw_sp, id_dim_time_sp /),    &
-                                           netcdf_var_name, nc_precision(7),   &
-                                           id_var_dospy(i), 'unknown',         &
-                                           netcdf_var_name, 288, 289, 290 )
+                   CALL netcdf_create_var( id_set_sp, (/ id_dim_y_sp, id_dim_zw_sp,                &
+                                           id_dim_time_sp /), netcdf_var_name, nc_precision(7),    &
+                                           id_var_dospy(i), 'unknown', netcdf_var_name, 288, 289,  &
+                                           290 )
                 ELSE
-                   CALL netcdf_create_var( id_set_sp, (/ id_dim_y_sp,          &
-                                           id_dim_zu_sp, id_dim_time_sp /),    &
-                                           netcdf_var_name, nc_precision(7),   &
-                                           id_var_dospy(i), 'unknown',         &
-                                           netcdf_var_name, 288, 289, 290 )
+                   CALL netcdf_create_var( id_set_sp, (/ id_dim_y_sp, id_dim_zu_sp,                &
+                                           id_dim_time_sp /), netcdf_var_name, nc_precision(7),    &
+                                           id_var_dospy(i), 'unknown', netcdf_var_name, 288, 289,  &
+                                           290 )
                 ENDIF
 
@@ -5933,6 +5493,5 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs)
+!--       Write the list of variables as global attribute (this is used by restart runs)
           nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 291 )
@@ -5950,6 +5509,7 @@
 !--       Write zu data
           netcdf_data(1:ns) = zu( comp_spectra_level(1:ns) )
-          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_zu_sp, netcdf_data, &
-                                  start = (/ 1 /), count = (/ ns /) )
+          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_zu_sp, netcdf_data,                            &
+                                  start = (/ 1 /),                                                 &
+                                  count = (/ ns /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 293 )
 
@@ -5957,6 +5517,7 @@
 !--       Write zw data
           netcdf_data(1:ns) = zw( comp_spectra_level(1:ns) )
-          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_zw_sp, netcdf_data, &
-                                  start = (/ 1 /), count = (/ ns /) )
+          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_zw_sp, netcdf_data,                            &
+                                  start = (/ 1 /),                                                 &
+                                  count = (/ ns /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 294 )
 
@@ -5970,6 +5531,7 @@
           ENDDO
 
-          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_x_sp, netcdf_data, &
-                                  start = (/ 1 /), count = (/ nx/2 /) )
+          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_x_sp, netcdf_data,                             &
+                                  start = (/ 1 /),                                                 &
+                                  count = (/ nx/2 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 295 )
 
@@ -5981,6 +5543,7 @@
           ENDDO
 
-          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_y_sp, netcdf_data, &
-                                  start = (/ 1 /), count = (/ ny/2 /) )
+          nc_stat = NF90_PUT_VAR( id_set_sp, id_var_y_sp, netcdf_data,                             &
+                                  start = (/ 1 /),                                                 &
+                                  count = (/ ny/2 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 296 )
 
@@ -5992,13 +5555,11 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_sp, NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_sp, NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 297 )
           var_list = ';'
           i = 1
-          DO WHILE ( data_output_sp(i) /= ' '  .AND.  i <= 10 )
+          DO  WHILE ( data_output_sp(i) /= ' '  .AND.  i <= 10 )
 
              IF ( INDEX( spectra_direction(i), 'x' ) /= 0 )  THEN
@@ -6017,9 +5578,7 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for spectra  ' //                   &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended due to' //    &
-                              ' variable mismatch.' //                         &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for spectra  ' // 'from previous run found,' //         &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0260', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -6028,8 +5587,7 @@
 
 !
-!--       Determine the number of current vertical levels for which spectra
-!--       shall be output
+!--       Determine the number of current vertical levels for which spectra shall be output.
           ns = 1
-          DO WHILE ( comp_spectra_level(ns) /= 999999  .AND.  ns <= 100 )
+          DO  WHILE ( comp_spectra_level(ns) /= 999999  .AND.  ns <= 100 )
              ns = ns + 1
           ENDDO
@@ -6041,19 +5599,15 @@
           CALL netcdf_handle_error( 'netcdf_define_header', 298 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_sp, id_var_zu_sp, &
-                                           dimids = id_dim_zu_sp_old )
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_sp, id_var_zu_sp, dimids = id_dim_zu_sp_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 299 )
           id_dim_zu_sp = id_dim_zu_sp_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_sp, id_dim_zu_sp, &
-                                            len = ns_old )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_sp, id_dim_zu_sp, LEN = ns_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 300 )
 
           IF ( ns /= ns_old )  THEN
-             message_string = 'netCDF file for spectra ' //                    &
-                              ' from previous run found,' //                   &
-                              '&but this file cannot be extended due to' //    &
-                              ' mismatch in number of' //                      &
-                              ' vertical levels.' //                           &
+             message_string = 'netCDF file for spectra ' // ' from previous run found,' //         &
+                              '&but this file cannot be extended due to' //                        &
+                              ' mismatch in number of' // ' vertical levels.' //                   &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0261', 0, 1, 0, 6, 0 )
@@ -6071,9 +5625,7 @@
           DO  i = 1, ns
              IF ( zu(comp_spectra_level(i)) /= netcdf_data(i) )  THEN
-                message_string = 'netCDF file for spectra ' //                 &
-                                 ' from previous run found,' //                &
-                                 '&but this file cannot be extended due to' // &
-                                 ' mismatch in heights of' //                  &
-                                 ' vertical levels.' //                        &
+                message_string = 'netCDF file for spectra ' // ' from previous run found,' //      &
+                                 '&but this file cannot be extended due to' //                     &
+                                 ' mismatch in heights of' // ' vertical levels.' //               &
                                  '&New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0262', 0, 1, 0, 6, 0 )
@@ -6086,33 +5638,28 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is plsp..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is plsp..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_sp, 'time', id_var_time_sp )
           CALL netcdf_handle_error( 'netcdf_define_header', 302 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_sp, id_var_time_sp, &
-                                           dimids = id_dim_time_old )
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_sp, id_var_time_sp, dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 303 )
           id_dim_time_sp = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_sp, id_dim_time_sp, &
-                                            len = dosp_time_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_sp, id_dim_time_sp, LEN = dosp_time_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 304 )
 
-          nc_stat = NF90_GET_VAR( id_set_sp, id_var_time_sp,        &
-                                  last_time_coordinate,             &
-                                  start = (/ dosp_time_count /), &
+          nc_stat = NF90_GET_VAR( id_set_sp, id_var_time_sp,                                       &
+                                  last_time_coordinate,                                            &
+                                  start = (/ dosp_time_count /),                                   &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 305 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for spectra ' //                    &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for spectra ' // 'from previous run found,' //          &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output ' // 'time on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0263', 0, 1, 0, 6, 0 )
@@ -6126,10 +5673,9 @@
 !--       Now get the variable ids.
           i = 1
-          DO WHILE ( data_output_sp(i) /= ' '  .AND.  i <= 10 )
+          DO  WHILE ( data_output_sp(i) /= ' '  .AND.  i <= 10 )
 
              IF ( INDEX( spectra_direction(i), 'x' ) /= 0 )  THEN
                 netcdf_var_name = TRIM( data_output_sp(i) ) // '_x'
-                nc_stat = NF90_INQ_VARID( id_set_sp, netcdf_var_name, &
-                                          id_var_dospx(i) )
+                nc_stat = NF90_INQ_VARID( id_set_sp, netcdf_var_name, id_var_dospx(i) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 306 )
              ENDIF
@@ -6137,6 +5683,5 @@
              IF ( INDEX( spectra_direction(i), 'y' ) /= 0 )  THEN
                 netcdf_var_name = TRIM( data_output_sp(i) ) // '_y'
-                nc_stat = NF90_INQ_VARID( id_set_sp, netcdf_var_name, &
-                                          id_var_dospy(i) )
+                nc_stat = NF90_INQ_VARID( id_set_sp, netcdf_var_name, id_var_dospy(i) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 307 )
              ENDIF
@@ -6147,25 +5692,21 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode'enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           nc_stat = NF90_REDEF( id_set_sp )
           CALL netcdf_handle_error( 'netcdf_define_header', 441 )
           IF ( averaging_interval_sp /= 0.0_wp )  THEN
-             WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
-                                                           averaging_interval_sp
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',  &
-                                     TRIM( run_description_header ) // &
-                                     TRIM( time_average_text ) )
+             WRITE ( time_average_text, '('', '',F7.1,'' s average'')' ) averaging_interval_sp
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',                              &
+                                     TRIM( run_description_header ) // TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 308 )
 
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval_sp
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'time_avg',       &
-                                     TRIM( time_average_text ) )
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'time_avg', TRIM( time_average_text ) )
           ELSE
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',          &
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',                              &
                                      TRIM( run_description_header ) )
           ENDIF
@@ -6173,6 +5714,5 @@
           nc_stat = NF90_ENDDEF( id_set_sp )
           CALL netcdf_handle_error( 'netcdf_define_header', 442 )
-          message_string = 'netCDF file for spectra ' //                       &
-                           'from previous run found.' //                       &
+          message_string = 'netCDF file for spectra ' // 'from previous run found.' //             &
                            '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0264', 0, 0, 0, 6, 0 )
@@ -6184,39 +5724,32 @@
 !
 !--       Define some global attributes of the dataset
-!          nc_stat = NF90_PUT_ATT( id_set_prt, NF90_GLOBAL, 'title',            &
-!                                  TRIM( run_description_header ) )
+!          nc_stat = NF90_PUT_ATT( id_set_prt, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
 !          CALL netcdf_handle_error( 'netcdf_define_header', 310 )
 
 !
 !--       Define time coordinate for particles (unlimited dimension)
-!          CALL netcdf_create_dim( id_set_prt, 'time', NF90_UNLIMITED,          &
-!                                  id_dim_time_prt, 311 )
-!          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /), 'time',   &
-!                                  NF90_DOUBLE, id_var_time_prt, 'seconds', '', &
-!                                  312, 313, 000 )
+!          CALL netcdf_create_dim( id_set_prt, 'time', NF90_UNLIMITED, id_dim_time_prt, 311 )
+!          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /), 'time', NF90_DOUBLE,          &
+!                                  id_var_time_prt, 'seconds', '', 312, 313, 000 )
 !
 !--       netCDF4 allows more than one unlimited dimension
-!          CALL netcdf_create_dim( id_set_prt, 'particle_number',            &
-!                                  NF90_UNLIMITED, id_dim_prtnum, 314 )
-
-!          CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum /),             &
-!                                  'particle_number', NF90_DOUBLE,              &
-!                                  id_var_prtnum, 'particle number', '', 315,   &
-!                                  316, 000 )
+!          CALL netcdf_create_dim( id_set_prt, 'particle_number', NF90_UNLIMITED, id_dim_prtnum,    &
+!                                  314 )
+
+!          CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum /), 'particle_number', NF90_DOUBLE, &
+!                                  id_var_prtnum, 'particle number', '', 315, 316, 000 )
 !
 !--       Define variable which contains the real number of particles in use
-!          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /),           &
-!                                  'real_num_of_prt', NF90_DOUBLE,              &
-!                                  id_var_rnop_prt, 'particle number', '', 317, &
-!                                  318, 000 )
+!          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /), 'real_num_of_prt',            &
+!                                  NF90_DOUBLE, id_var_rnop_prt, 'particle number', '', 317, 318,   &
+!                                  000 )
 !
 !--       Define the variables
 !          DO  i = 1, 17
 
-!             CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum,             &
-!                                     id_dim_time_prt /), prt_var_names(i),     &
-!                                     nc_precision(8), id_var_prt(i),           &
-!                                     TRIM( prt_var_units(i) ),                 &
-!                                     TRIM( prt_var_names(i) ), 319, 320, 321 )
+!             CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum, id_dim_time_prt /),             &
+!                                     prt_var_names(i), nc_precision(8), id_var_prt(i),             &
+!                                     TRIM( prt_var_units(i) ), TRIM( prt_var_names(i) ), 319, 320, &
+!                                     321 )
 
 !          ENDDO
@@ -6232,33 +5765,28 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is prt..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is prt..count+1.
+!--       The current time must be larger than the last output time on the file.
 !          nc_stat = NF90_INQ_VARID( id_set_prt, 'time', id_var_time_prt )
 !          CALL netcdf_handle_error( 'netcdf_define_header', 323 )
 
-!          nc_stat = NF90_INQUIRE_VARIABLE( id_set_prt, id_var_time_prt, &
-!                                           dimids = id_dim_time_old )
+!          nc_stat = NF90_INQUIRE_VARIABLE( id_set_prt, id_var_time_prt, dimids = id_dim_time_old )
 !          CALL netcdf_handle_error( 'netcdf_define_header', 324 )
 !          id_dim_time_prt = id_dim_time_old(1)
 
-!          nc_stat = NF90_INQUIRE_DIMENSION( id_set_prt, id_dim_time_prt, &
-!                                            len = prt_time_count )
+!          nc_stat = NF90_INQUIRE_DIMENSION( id_set_prt, id_dim_time_prt, LEN = prt_time_count )
 !          CALL netcdf_handle_error( 'netcdf_define_header', 325 )
 
-!          nc_stat = NF90_GET_VAR( id_set_prt, id_var_time_prt,  &
-!                                  last_time_coordinate,         &
-!                                  start = (/ prt_time_count /), &
+!          nc_stat = NF90_GET_VAR( id_set_prt, id_var_time_prt,                                     &
+!                                  last_time_coordinate,                                            &
+!                                  start = (/ prt_time_count /),                                    &
 !                                  count = (/ 1 /) )
 !          CALL netcdf_handle_error( 'netcdf_define_header', 326 )
 
 !          IF ( last_time_coordinate(1) >= simulated_time )  THEN
-!             message_string = 'netCDF file for particles ' //                  &
-!                              'from previous run found,' //                    &
-!                              '&but this file cannot be extended becaus' //    &
-!                              'e the current output time' //                   &
-!                              '&is less or equal than the last output t' //    &
-!                              'ime on this file.' //                           &
+!             message_string = 'netCDF file for particles ' // 'from previous run found,' //        &
+!                              '&but this file cannot be extended because' //                       &
+!                              ' the current output time' //                                        &
+!                              '&is less or equal than the last output ' // 'time on this file.' // &
 !                              '&New file is created instead.'
 !             CALL message( 'define_netcdf_header', 'PA0265', 0, 1, 0, 6, 0 )
@@ -6271,18 +5799,15 @@
 !--       Dataset seems to be extendable.
 !--       Now get the variable ids.
-!         nc_stat = NF90_INQ_VARID( id_set_prt, 'real_num_of_prt',             &
-!                                   id_var_rnop_prt )
+!         nc_stat = NF90_INQ_VARID( id_set_prt, 'real_num_of_prt',id_var_rnop_prt )
 !         CALL netcdf_handle_error( 'netcdf_define_header', 327 )
 
 !          DO  i = 1, 17
 
-!             nc_stat = NF90_INQ_VARID( id_set_prt, prt_var_names(i),           &
-!                                       id_var_prt(i) )
+!             nc_stat = NF90_INQ_VARID( id_set_prt, prt_var_names(i), id_var_prt(i) )
 !             CALL netcdf_handle_error( 'netcdf_define_header', 328 )
 
 !          ENDDO
 
-!          message_string = 'netCDF file for particles ' //                     &
-!                           'from previous run found.' //                       &
+!          message_string = 'netCDF file for particles ' // 'from previous run found.' //           &
 !                           '&This file will be extended.'
 !          CALL message( 'define_netcdf_header', 'PA0266', 0, 0, 0, 6, 0 )
@@ -6294,20 +5819,17 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title',            &
-                                  TRIM( run_description_header ) )
+          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 396 )
 
 !
 !--       Define time coordinate for particle time series (unlimited dimension)
-          CALL netcdf_create_dim( id_set_pts, 'time', NF90_UNLIMITED,          &
-                                  id_dim_time_pts, 397 )
-          CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /), 'time',   &
-                                  NF90_DOUBLE, id_var_time_pts, 'seconds', 'time', &
-                                  398, 399, 000 )
+          CALL netcdf_create_dim( id_set_pts, 'time', NF90_UNLIMITED, id_dim_time_pts, 397 )
+          CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /), 'time', NF90_DOUBLE,          &
+                                  id_var_time_pts, 'seconds', 'time', 398, 399, 000 )
           CALL netcdf_create_att( id_set_pts, id_var_time_pts, 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_pts, id_var_time_pts, 'axis', 'T', 000)
 !
-!--       Define the variables. If more than one particle group is defined,
-!--       define seperate variables for each group
+!--       Define the variables. If more than one particle group is defined, define seperate
+!--       variables for each group.
           var_list = ';'
           DO  i = 1, dopts_num
